%
%  Construct a matrix L, such that L provides a finite difference 
%  approximation to the second derivative operator.  
%
%  L=makel(K)
%
%  Input:
%    K         The matrix for the discrete version of the problem.  
% 
%  Output:
%    L         An appropriately sized finite difference approx to the
%              second derivative operator
%
function L=makel(K)
[m,n]=size(K);
L=zeros(n-2,n);
for i=1:n-2,
  L(i,i)=1;
  L(i,i+1)=-2;
  L(i,i+2)=1;
end;

